Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664314 - =net-fs/samba-{4.7.11,4.8.6,4.9.1} keyword request
Summary: =net-fs/samba-{4.7.11,4.8.6,4.9.1} keyword request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: CVE-2018-10858, CVE-2018-10918, CVE-2018-10919, CVE-2018-1139, CVE-2018-1140
  Show dependency tree
 
Reported: 2018-08-22 21:51 UTC by Thomas Deutschmann
Modified: 2019-02-04 20:27 UTC (History)
0 users

See Also:
Package list:
net-fs/samba-4.7.12-r1 net-fs/samba-4.8.6-r2 net-fs/samba-4.9.4-r1 dev-util/lttng-ust-2.8.1 dev-libs/userspace-rcu-0.10.1
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev 2018-08-22 21:51:25 UTC
@ Arches,

please add your keywords to recent net-fs/samba versions.
Incoming security stabilization!
Comment 1 Stabilization helper bot gentoo-dev 2018-08-22 22:12:54 UTC
An automated check of this bug failed - repoman reported dependency errors (189 lines truncated): 

> dependency.bad net-fs/samba/samba-4.6.16.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: RDEPEND: ~alpha(default/linux/alpha/13.0) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: RDEPEND: ~alpha(default/linux/alpha/13.0) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: RDEPEND: ~alpha(default/linux/alpha/13.0) ['sys-cluster/ceph', 'dev-util/lttng-ust']
> dependency.bad net-fs/samba/samba-4.6.16.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['sys-cluster/ceph', 'dev-util/lttng-ust']
Comment 2 Larry the Git Cow gentoo-dev 2018-08-22 22:44:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2aa2760278d95cce026b3b39e67a59051db6fa5f

commit 2aa2760278d95cce026b3b39e67a59051db6fa5f
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2018-08-22 22:43:10 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2018-08-22 22:44:48 +0000

    profiles: Mask net-fs/samba[ceph] and unmask only where available
    
    Bug: https://bugs.gentoo.org/664314

 profiles/arch/amd64/package.use.mask | 4 ++++
 profiles/arch/x86/package.use.mask   | 4 ++++
 profiles/base/package.use.mask       | 3 ++-
 3 files changed, 10 insertions(+), 1 deletion(-)
Comment 3 Rolf Eike Beer archtester 2018-08-24 20:16:44 UTC
4.6.16 suffers from bug 637320.
Comment 4 Sergei Trofimovich (RETIRED) gentoo-dev 2018-09-01 23:41:27 UTC
~ia64 keyworded
Comment 5 Stabilization helper bot gentoo-dev 2018-09-30 23:03:04 UTC
An automated check of this bug failed - the following atom is unknown:

net-fs/samba-4.6.16

Please verify the atom list.
Comment 6 Matt Turner gentoo-dev 2018-10-06 23:27:14 UTC
added ~ppc/~ppc64
Comment 7 Larry the Git Cow gentoo-dev 2018-10-17 14:25:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a8495c56d0353fde56a6731c82d41405b745df1

commit 4a8495c56d0353fde56a6731c82d41405b745df1
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 14:24:58 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 14:25:12 +0000

    net-fs/samba-4.7.10-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/664314
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 net-fs/samba/samba-4.7.10.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc01aeccc40dbe27949dcbe9d22261eadbfded23

commit bc01aeccc40dbe27949dcbe9d22261eadbfded23
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 14:24:57 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 14:25:10 +0000

    dev-util/lttng-ust-2.8.1-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/664314
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-util/lttng-ust/lttng-ust-2.8.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0e8bc051a00e2751bd388462d6008fda5893029

commit a0e8bc051a00e2751bd388462d6008fda5893029
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 14:24:52 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 14:25:09 +0000

    dev-libs/userspace-rcu-0.10.1-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/664314
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-libs/userspace-rcu/userspace-rcu-0.10.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Larry the Git Cow gentoo-dev 2018-10-17 15:56:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd919ff2fd465b9c612bf4d81df748964c57bcc5

commit fd919ff2fd465b9c612bf4d81df748964c57bcc5
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 15:56:44 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 15:56:44 +0000

    net-fs/samba-4.8.5-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/664314
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 net-fs/samba/samba-4.8.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 9 Larry the Git Cow gentoo-dev 2018-10-17 20:01:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb1361389bbef648f7f13e7cd5d8fb353f2d9290

commit eb1361389bbef648f7f13e7cd5d8fb353f2d9290
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 20:01:09 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 20:01:09 +0000

    net-fs/samba-4.9.1-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/664314
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 net-fs/samba/samba-4.9.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 10 Tobias Klausmann (RETIRED) gentoo-dev 2018-10-17 20:02:52 UTC
Keyworded on ~alpha.
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-12-23 14:25:17 UTC
~arm done
Comment 12 Larry the Git Cow gentoo-dev 2019-02-04 19:41:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35181c6c28fe4bd3ec23987b803672f231fe6bd6

commit 35181c6c28fe4bd3ec23987b803672f231fe6bd6
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2019-02-04 17:00:58 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2019-02-04 19:41:00 +0000

    net-fs/samba: keyworded 4.8.* for sparc
    
    Closes: https://bugs.gentoo.org/664314
    Signed-off-by: Rolf Eike Beer <eike@sf-mail.de>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11
    RepoMan-Options: --include-arches="sparc"
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 net-fs/samba/samba-4.8.6-r2.ebuild | 4 ++--
 net-fs/samba/samba-4.8.6-r3.ebuild | 2 +-
 net-fs/samba/samba-4.8.8-r1.ebuild | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)